# Generated by Django 2.1.2 on 2018-11-16 10:02

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('restaurants', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Comments',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField(max_length=1500, verbose_name='content')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', models.DateTimeField(blank=True, null=True, verbose_name='modified')),
                ('belongs_to_review', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='review_comments', to='restaurants.Reviews')),
            ],
        ),
        migrations.CreateModel(
            name='LikeComments',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('location', models.CharField(blank=True, max_length=25, verbose_name='location')),
                ('phone', models.CharField(blank=True, max_length=15, verbose_name='phone')),
                ('thingsILove', models.TextField(blank=True, max_length=100, verbose_name='thingsILove')),
                ('description', models.TextField(blank=True, max_length=500, verbose_name='description')),
                ('joined', models.DateTimeField(auto_now_add=True, verbose_name='joined')),
                ('profile_picture', models.URLField(max_length=240)),
                ('validation_code', models.CharField(blank=True, max_length=200, null=True, verbose_name='validation_code')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='user_profile', to=settings.AUTH_USER_MODEL, verbose_name='user')),
            ],
        ),
        migrations.AddField(
            model_name='likecomments',
            name='comment_liked_by',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='comments_liked', to='users.UserProfile'),
        ),
        migrations.AddField(
            model_name='comments',
            name='comment_creator',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='user_comments', to='users.UserProfile'),
        ),
        migrations.AddField(
            model_name='comments',
            name='comment_likes',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='likes_comment', to='users.LikeComments'),
        ),
    ]
